mixin site-search(spec)
	- spec = spec || {}
	- spec.__class = spec.__class || ''

	.site-search
		.container
			.site-search__form(data-action="/search-results" data-destination="/search")
				span.icon.icon-search
				input.site-search__input(type="text", placeholder="What are you looking for?", name="q", required)
				button.btn.btn-border.btn-search(type="submit") SEARCH


mixin mobile-site-search(spec)
	- spec = spec || {}
	- spec.__class = spec.__class || ''

	.m-site-search
		.m-site-search__form(data-action="/search-results")
			span.icon.icon-search
			input.m-site-search__input(type="text", placeholder="What are you looking for?", name="q", required)
